This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Ibm First view 2011-09-02
Product Java Last view 2015-07-02
Version 1.4.2.13.6 Type Application
Update *  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:ibm:java

Activity : Overall

Related : CVE

  Date Alert Description
5 2015-07-02 CVE-2015-1914

IBM Java 7 R1 before SR3, 7 before SR9, 6 R1 before SR8 FP4, 6 before SR16 FP4, and 5.0 before SR16 FP10 allows remote attackers to bypass "permission checks" and obtain sensitive information via vectors related to the Java Virtual Machine.

7.5 2015-07-02 CVE-2015-0192

Unspecified vulnerability in IBM Java 8 before SR1, 7 R1 before SR2 FP11, 7 before SR9, 6 R1 before SR8 FP4, 6 before SR16 FP4, and 5.0 before SR16 FP10 allows remote attackers to gain privileges via unknown vectors related to the Java Virtual Machine.

9.3 2013-07-23 CVE-2013-3012

Unspecified vulnerability in the Java Runtime Environment (JRE) in IBM Java 1.4.2 before 1.4.2 SR13-FP18, 5.0 before 5.0 SR16-FP3, 6 before 6 SR14, 6.0.1 before 6.0.1 SR6, and 7 before 7 SR5 allows remote attackers to affect confidentiality, availability, and integrity via unknown vectors, a different vulnerability than CVE-2013-3009 and CVE-2013-3011.

9.3 2013-07-23 CVE-2013-3011

Unspecified vulnerability in the Java Runtime Environment (JRE) in IBM Java 1.4.2 before 1.4.2 SR13-FP18, 5.0 before 5.0 SR16-FP3, 6 before 6 SR14, 6.0.1 before 6.0.1 SR6, and 7 before 7 SR5 allows remote attackers to affect confidentiality, availability, and integrity via unknown vectors, a different vulnerability than CVE-2013-3009 and CVE-2013-3012.

9.3 2013-07-23 CVE-2013-3009

The com.ibm.CORBA.iiop.ClientDelegate class in IBM Java 1.4.2 before 1.4.2 SR13-FP18, 5.0 before 5.0 SR16-FP3, 6 before 6 SR14, 6.0.1 before 6.0.1 SR6, and 7 before 7 SR5 improperly exposes the invoke method of the java.lang.reflect.Method class, which allows remote attackers to call setSecurityManager and bypass a sandbox protection mechanism via vectors related to the AccessController doPrivileged block.

9.3 2013-01-10 CVE-2012-4823

Unspecified vulnerability in the JRE component in IBM Java 7 SR2 and earlier, Java 6.0.1 SR3 and earlier, Java 6 SR11 and earlier, Java 5 SR14 and earlier, and Java 142 SR13 FP13 and earlier; as used in IBM Rational Host On-Demand, Rational Change, Tivoli Monitoring, Smart Analytics System 5600, Tivoli Remote Control 5.1.2, WebSphere Real Time, Lotus Notes & Domino, Tivoli Storage Productivity Center, and Service Deliver Manager; and other products from other vendors such as Red Hat, allows remote attackers to execute arbitrary code via vectors related to "insecure use of the java.lang.ClassLoder defineClass() method."

9.3 2013-01-10 CVE-2012-4822

Multiple unspecified vulnerabilities in the JRE component in IBM Java 7 SR2 and earlier, Java 6.0.1 SR3 and earlier, Java 6 SR11 and earlier, Java 5 SR14 and earlier, and Java 142 SR13 FP13 and earlier; as used in IBM Rational Host On-Demand, Rational Change, Tivoli Monitoring, Smart Analytics System 5600, Tivoli Remote Control 5.1.2, WebSphere Real Time, Lotus Notes & Domino, Tivoli Storage Productivity Center, and Service Deliver Manager; and other products from other vendors such as Red Hat, allow remote attackers to execute arbitrary code via vectors related to "insecure use [of] multiple methods in the java.lang.class class."

9.3 2013-01-10 CVE-2012-4821

Multiple unspecified vulnerabilities in the JRE component in IBM Java 7 SR2 and earlier, Java 6.0.1 SR3 and earlier, Java 6 SR11 and earlier, Java 5 SR14 and earlier, and Java 142 SR13 FP13 and earlier; as used in IBM Rational Host On-Demand, Rational Change, Tivoli Monitoring, Smart Analytics System 5600, Tivoli Remote Control 5.1.2, WebSphere Real Time, Lotus Notes & Domino, Tivoli Storage Productivity Center, and Service Deliver Manager; and other products from other vendors such as Red Hat, allow remote attackers to execute arbitrary code via "insecure use" of the (1) java.lang.Class getDeclaredMethods or nd (2) java.lang.reflect.AccessibleObject setAccessible() methods.

9.3 2013-01-10 CVE-2012-4820

Unspecified vulnerability in the JRE component in IBM Java 7 SR2 and earlier, Java 6.0.1 SR3 and earlier, Java 6 SR11 and earlier, Java 5 SR14 and earlier, and Java 142 SR13 FP13 and earlier; as used in IBM Rational Host On-Demand, Rational Change, Tivoli Monitoring, Smart Analytics System 5600, Tivoli Remote Control 5.1.2, WebSphere Real Time, Lotus Notes & Domino, Tivoli Storage Productivity Center, and Service Deliver Manager; and other products from other vendors such as Red Hat, when running under a security manager, allows remote attackers to gain privileges by modifying or removing the security manager via vectors related to "insecure use of the java.lang.reflect.Method invoke() method."

3.5 2011-09-02 CVE-2011-0311

The class file parser in IBM Java before 1.4.2 SR13 FP9, as used in IBM Runtimes for Java Technology 5.0.0 before SR13 and 6.0.0 before SR10, allows remote authenticated users to cause a denial of service (JVM segmentation fault, and possibly memory consumption or an infinite loop) via a crafted attribute length field in a class file, which triggers a buffer over-read.

CWE : Common Weakness Enumeration

%idName
50% (1) CWE-200 Information Exposure
50% (1) CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer

Open Source Vulnerability Database (OSVDB)

id Description
75244 IBM Java JVM Segmentation Fault Attribute Length Field Parsing Remote DoS

Snort® IPS/IDS

Date Description
2018-02-06 IBM Java invokeWithPrivilege method call attempt
RuleID : 45351 - Type : FILE-JAVA - Revision : 2
2018-02-06 IBM Java invokeWithClassLoaders method call attempt
RuleID : 45350 - Type : FILE-JAVA - Revision : 2
2018-02-06 IBM Java invokeWithPrivilege method call attempt
RuleID : 45349 - Type : FILE-JAVA - Revision : 2
2018-02-06 IBM Java invokeWithClassLoaders method call attempt
RuleID : 45348 - Type : FILE-JAVA - Revision : 2

Nessus® Vulnerability Scanner

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
id Description
2016-05-25 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2016-1388-1.nasl - Type: ACT_GATHER_INFO
2016-05-24 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2016-1379-1.nasl - Type: ACT_GATHER_INFO
2016-05-24 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2016-1378-1.nasl - Type: ACT_GATHER_INFO
2016-05-16 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2016-1300-1.nasl - Type: ACT_GATHER_INFO
2016-05-16 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2016-1299-1.nasl - Type: ACT_GATHER_INFO
2015-08-13 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1375-1.nasl - Type: ACT_GATHER_INFO
2015-06-29 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1086-4.nasl - Type: ACT_GATHER_INFO
2015-06-26 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1138-1.nasl - Type: ACT_GATHER_INFO
2015-06-26 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1086-3.nasl - Type: ACT_GATHER_INFO
2015-06-23 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1086-2.nasl - Type: ACT_GATHER_INFO
2015-06-19 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1086-1.nasl - Type: ACT_GATHER_INFO
2015-06-19 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1085-1.nasl - Type: ACT_GATHER_INFO
2015-06-18 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2015-1073-1.nasl - Type: ACT_GATHER_INFO
2015-06-12 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1091.nasl - Type: ACT_GATHER_INFO
2015-06-10 Name: The remote AIX host has a version of Java SDK installed that is affected by m...
File: aix_java_april2015_advisory.nasl - Type: ACT_GATHER_INFO
2015-05-21 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1021.nasl - Type: ACT_GATHER_INFO
2015-05-21 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1020.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2013-1256-1.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1007.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1006.nasl - Type: ACT_GATHER_INFO
2014-11-08 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2013-1456.nasl - Type: ACT_GATHER_INFO
2014-11-08 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2013-1455.nasl - Type: ACT_GATHER_INFO
2014-01-08 Name: The remote server is affected by multiple vulnerabilities.
File: domino_9_0_1.nasl - Type: ACT_GATHER_INFO
2014-01-08 Name: The remote host has software installed that is affected by multiple vulnerabi...
File: lotus_domino_9_0_1.nasl - Type: ACT_GATHER_INFO
2013-11-04 Name: The remote server is affected by multiple vulnerabilities.
File: domino_8_5_3fp5.nasl - Type: ACT_GATHER_INFO